#
# spec file for package hexyl
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2022-2023, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hexyl
Version:        0.14.0
Release:        1.3
Summary:        A command-line hex viewer
License:        Apache-2.0
Group:          Development/Tools/Other
#Git-Clone:     https://github.com/sharkdp/hexyl.git
URL:            https://github.com/sharkdp/hexyl
Source:         https://github.com/sharkdp/hexyl/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.xz
Source2:        cargo_config
BuildRequires:  cargo
BuildRequires:  cargo-packaging
BuildRequires:  rust

%description
hexyl is a simple hex viewer for the terminal. It uses a colored output
to distinguish different categories of bytes (NUL bytes, printable
ASCII characters, ASCII whitespace characters, other ASCII characters
and non-ASCII).

%prep
%autosetup -p 1 -a 1
install -D -m 0644 %{SOURCE2} .cargo/config

%build
%{cargo_build}

%install
cargo install --no-track --root=%{buildroot}%{_prefix} --path .

%files
%license LICENSE-APACHE
%doc CHANGELOG.md README.md
%{_bindir}/hexyl

%changelog
* Tue Dec 12 2023 Martin Hauke <mardnh@gmx.de>
- Update to version 0.14.0
  Features
  * New --character-table option, with the ability to use
    codepage 437.
  * New --character-table=ascii option for a ASCII-only character
    table.
  Bugfixes
  * Show output when doing hexyl /dev/zero.
  * Respect NO_COLOR environment variable.
* Thu Oct 19 2023 Andrea Manzini <andrea.manzini@suse.com>
- Update to version 0.13.1
  * BugFix: Correctly handle discontinuous input (stdin), see #196 and #197
* Sun May 28 2023 Andrea Manzini <andrea.manzini@suse.com>
- Update to version 0.13.0
  * Support both little and big Endian dumps using --endianness={little,big}
  * Breaking: Changed the meaning of the short flag -C to be consistent with hexdump -C.
    Previously, this would hide the character panel, but now -C shows the character panel,
    in case it has been previously (e.g. in an alias) disabled with --no-characters
* Sat Dec 10 2022 Martin Hauke <mardnh@gmx.de>
- Updat eto version 0.12.0
  Features
  * Only show one panel by default if the terminal width is not
    wide enough for two panels.
  * Respect the NO_COLOR environment variable.
  Bugfixes
  * Do not fail with an error if --panels=auto is used and the
    output is piped.
  Changes
  * Breaking: For xxd-compatibility reasons, --group_bytes has
    been renamed to --group-size (with an --groupsize alias).
* Mon Dec  5 2022 Martin Hauke <mardnh@gmx.de>
- Update to version 0.11.0
  * Significantly improved performance.
  * Added variable panels through the --panels and --terminal-width
    flags.
  * Added new --group-bytes/-g option.
  * Added new --base B option (where B can be binary, octal,
    decimal or hexadecimal).
  * Show actual zero bytes as ⋄ in the character panel
    (previously: 0), in order not to confuse them with ASCII.
  * 0 bytes if colors are deactivated.
* Sun Nov 27 2022 Martin Hauke <mardnh@gmx.de>
- Initial package, version 0.10.0
